#include "testselection.h"
#include <QSqlRecord>
#include <QSqlQueryModel>
#include <QDebug>

TestSelection::TestSelection(QWidget *parent) : QWidget(parent)
{
       mainLayout = new QVBoxLayout(this);
       db = QSqlDatabase::addDatabase("QPSQL");
       db.setHostName("195.19.32.74");
       db.setDatabaseName("fn1132_2020");
       db.setPort(5432);
       db.setUserName("student");
       db.setPassword("bmstu");
       db.open();
       QSqlQueryModel* sqlModel = new QSqlQueryModel(this);
       sqlModel->setQuery(QSqlQuery("SELECT name FROM tests;", db));
       int nameCount = sqlModel->rowCount();
       QList<QString> listNames;
       for (int i =0; i < nameCount; ++i) {
            listNames.push_back(sqlModel->index(i,0).data().toString());
            qDebug() << sqlModel->index(i,0).data().toString();
       }
       QVector<QPushButton*> btns;

       for (auto & qvar: listNames)
       {
           QPushButton *curr_btn = new QPushButton(qvar);
           btns.push_back(curr_btn);
       }
       for(auto & btn: btns)
       {
           mainLayout->addWidget(btn);
       }
       this->setLayout(mainLayout);

}

void TestSelection::_sh()
{
    this->show();
}
